/***

  Space class

***/

#ifndef _SPACE_H_
#define _SPACE_H_

#include "DisplayInterface.h"
#include "Globals.h"
#include "World.h"
#include "Object.h"

class Space : public Object {
public:

	// constructor
	Space( DisplayInterface &d, int x, int y );
	
	// returns object identity
	virtual int identify( );

	// takes a turn to act in the world
	virtual bool act( DisplayInterface &d, World *w, int x, int y, int time );

	// disappears from the world
	virtual void die( DisplayInterface &d, World *w, int x, int y );

	// shows the object at its spot in the world
	virtual void show( DisplayInterface &d, World *w, int x, int y );

};

#endif